#=============================================================
#
#	TICKOS.MAK - Makefile for project E:\VISION\SAMPLE\TICKOS1\TICKOS.PRJ
#		Created on 04/06/93 at 07:24
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +TICKOS.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = \BCOS2\LIB
INCLUDEPATH = \BCOS2\INCLUDE


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================
LINK_EXCLUDE =  \
 tickos.res

LINK_INCLUDE =  \
 tickos.obj

#=============================================================
#		Explicit Rules
#=============================================================
tickos.exe: tickos.cfg $(LINK_INCLUDE) $(LINK_EXCLUDE)
  $(TLINK) /v /x /Toe /aa /L$(LIBPATH) @&&|
\BCOS2\LIB\C02.OBJ+
tickos.obj
tickos
		# no map file
\BCOS2\LIB\C2MT.LIB+
\BCOS2\LIB\OS2.LIB

|
  rc.exe TICKOS.res tickos.exe

#=============================================================
#		Individual File Dependencies
#=============================================================
TICKOS.res: tickos.cfg TICKOS.RC 
	brcc.exe -R -I$(INCLUDEPATH) -FO TICKOS.res TICKOS.RC

TICKOS.obj: tickos.cfg TICKOS.CPP 

#=============================================================
#		Compiler Configuration File
#=============================================================
tickos.cfg: tickos.mak
  copy &&|
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-sm
-v
-w
-C
| tickos.cfg


