#=============================================================
#
#	TICKOSC.MAK - Makefile for project E:\VISION\SAMPLE\TICKOS1\tickosc.prj
#		Created on 04/06/93 at 07:22
#
#=============================================================

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +TICKOSC.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = \BCOS2\LIB
INCLUDEPATH = \BCOS2\INCLUDE


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#		List Macros
#=============================================================
LINK_EXCLUDE =  \
 tickosc.res

LINK_INCLUDE =  \
 tickosc.obj

#=============================================================
#		Explicit Rules
#=============================================================
tickosc.exe: tickosc.cfg $(LINK_INCLUDE) $(LINK_EXCLUDE)
  $(TLINK) /v /x /Toe /aa /L$(LIBPATH) @&&|
\BCOS2\LIB\C02.OBJ+
tickosc.obj
tickosc
		# no map file
\BCOS2\LIB\C2.LIB+
\BCOS2\LIB\OS2.LIB

|
  rc.exe TICKOSC.res tickosc.exe

#=============================================================
#		Individual File Dependencies
#=============================================================
TICKOSC.res: tickosc.cfg TICKOSC.RC 
	brcc.exe -R -I$(INCLUDEPATH) -FO TICKOSC.res TICKOSC.RC

TICKOSC.obj: tickosc.cfg TICKOSC.CPP 

#=============================================================
#		Compiler Configuration File
#=============================================================
tickosc.cfg: tickosc.mak
  copy &&|
-Oi
-Oz
-Ob
-Oe
-Oc
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-k-
-O
-Ot
-v
-w
-C
| tickosc.cfg


